Magento 2 Swiss Post Plugin by insign 
===========================================

####Support
```
v1.0.6 - Magento 2.3.* - 2.4.*
```

####Change list
```
v1.0.6 - Magento 2.4.4 compatibility and handle 500 Internal Server Error on Barcode Generation
```

```
v1.0.5 - Update PHP Doc Block for AddressAutocompleteInterface API Interface
```

```
v1.0.4 - Fix for functionality related to "Send Tracking Information" in Magento admin 
```

```
v1.0.3 - Fix for virtual orders and barcode generation for addresses without a street number
```

```
v1.0.2 - Fix typos in namespace declaration
```

```
v1.0.1 - Minor fixes regarding url generations for barcode admin actions
```

```
v1.0.0 - Start project
```

####Installation
```
1. Download the archive.
2. Unzip the content of archive, use command 'unzip ArchiveName.zip'. Now you have folder with name 'PostCore'.
3. Make sure to create the directory structure in your Magento - 'Magento_Root/app/code/Insign'.
4. Drop/move the unzipped folder to directory 'Magento_Root/app/code/Insign'.
5. Run the command 'php bin/magento module:enable Insign_PostCore' in Magento root. If you need to clear static content use 'php bin/magento module:enable --clear-static-content Insign_PostCore'.
6. Run the command 'php bin/magento setup:upgrade' in Magento root.
7. Run the command 'php bin/magento setup:di:compile' if you have a single website and store, or 'php bin/magento setup:di:compile-multi-tenant' if you have multiple ones.
8. Clear cache: 'php bin/magento cache:clean', 'php bin/magento cache:flush'
```
