<?php

namespace Insign\PostCore\Util;

class AddressMapper
{
    /**
     * @param $address
     * @return array
     */
    public function getAddressData($address): array
    {
        return array(
            'addressee' => array(
                'firstName' => isset($address['firstname']) ? $address['firstname'] : null,
                'lastName'  => isset($address['lastname']) ? $address['lastname'] : null
            ),
            'geographicLocation' => array (
                'house' => array(
                    'street' => isset($address['street']) ? $address['street'] : null,
                    'houseNumber' => isset($address['nr']) ? $address['nr'] : null,
                    'additionalAddress' => ''
                ),
                'zip' => array(
                    'zip' => isset($address['postcode']) ? $address['postcode'] : null,
                    'city' => isset($address['city']) ? $address['city'] : null,
                )
            ),
            'fullValidation' => true
        );
    }
}
