define([
    'Magento_Checkout/js/model/resource-url-manager'
], function (urlManager) {
        'use strict';

        return {

            /**
             * @param {Object} quote
             * @return {*}
             */
            getUrlForSwissPostAddressValidation: function (quote) {
                var params = urlManager.getCheckoutMethod() == 'guest' ? //eslint-disable-line eqeqeq
                        {
                            quoteId: quote.getQuoteId()
                        } : {},
                    urls = {
                        'guest': '/guest-carts/:quoteId/api-validate-shipping-address',
                        'customer': '/carts/mine/api-validate-shipping-address'
                    };

                return urlManager.getUrl(urls, params);
            },
        };
    }
);
